import request from '@/utils/request'

// 查询用户看课优惠券列表
export function listCourseCouponUser(query) {
  return request({
    url: '/his/courseCouponUser/list',
    method: 'get',
    params: query
  })
}

// 查询用户看课优惠券列表
export function listCourseCouponUserListVO(query) {
  return request({
    url: '/his/courseCouponUser/listVO',
    method: 'get',
    params: query
  })
}


// 查询用户看课优惠券详细
export function getCourseCouponUser(id) {
  return request({
    url: '/his/courseCouponUser/' + id,
    method: 'get'
  })
}

// 新增用户看课优惠券
export function addCourseCouponUser(data) {
  return request({
    url: '/his/courseCouponUser',
    method: 'post',
    data: data
  })
}

// 修改用户看课优惠券
export function updateCourseCouponUser(data) {
  return request({
    url: '/his/courseCouponUser',
    method: 'put',
    data: data
  })
}

// 删除用户看课优惠券
export function delCourseCouponUser(id) {
  return request({
    url: '/his/courseCouponUser/' + id,
    method: 'delete'
  })
}

// 导出用户看课优惠券
export function exportCourseCouponUser(query) {
  return request({
    url: '/his/courseCouponUser/export',
    method: 'get',
    params: query
  })
}
